Skip to main content
POST
/
v2
/
equipment
Create a new equipment
curl --request POST \
  --url https://app.tarefy.com/nodeapi/v2/equipment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "patrimony_code": "<string>",
  "responsible_user_id": 123,
  "status": "<string>",
  "category_id": 123,
  "acquisition_date": "2023-12-25",
  "withdrawal_date": "2023-12-25",
  "value": 123,
  "location": "<string>",
  "custom_fields_values": {}
}
'
import requests

url = "https://app.tarefy.com/nodeapi/v2/equipment"

payload = {
"name": "<string>",
"description": "<string>",
"patrimony_code": "<string>",
"responsible_user_id": 123,
"status": "<string>",
"category_id": 123,
"acquisition_date": "2023-12-25",
"withdrawal_date": "2023-12-25",
"value": 123,
"location": "<string>",
"custom_fields_values": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
patrimony_code: '<string>',
responsible_user_id: 123,
status: '<string>',
category_id: 123,
acquisition_date: '2023-12-25',
withdrawal_date: '2023-12-25',
value: 123,
location: '<string>',
custom_fields_values: {}
})
};

fetch('https://app.tarefy.com/nodeapi/v2/equipment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
description
string
patrimony_code
string
responsible_user_id
integer
status
string
category_id
integer
acquisition_date
string<date>
withdrawal_date
string<date>
value
number
location
string
custom_fields_values
object

Response

200

Equipamento criado com sucesso